using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.Common;
using System.Data.SqlClient;

/// <summary>
/// Summary description for UserDAO
/// </summary>
public class UserDAO
{	
    public DataTable BindUsers(int startRowIndex, int maximumRows)
    {
        SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["Sql"].ConnectionString);        
        SqlCommand com = new SqlCommand("GetUsers", con);
        com.CommandType = CommandType.StoredProcedure;
        com.Parameters.Add("@RowIndex", SqlDbType.Int, 4).Value = startRowIndex;
        com.Parameters.Add("@MaxRows", SqlDbType.Int, 4).Value = maximumRows;       
        SqlDataAdapter ada = new SqlDataAdapter(com);
        DataTable dt = new DataTable();
        ada.Fill(dt);
        return dt;        
    }
    public int GetUserCount()
    {
        SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["Sql"].ConnectionString);
        con.Open();
        SqlCommand com = new SqlCommand("GetUserCount", con);
        SqlDataReader dr = com.ExecuteReader();
        int count = 0;
        while (dr.Read())
        {
            if (dr["UserCOUNT"] != null)
                int.TryParse(dr["UserCOUNT"].ToString(), out count);           
        }
        return count;
    }
}
